Results 1 to 2 of 2

Thread: KWin5

  1. #1
    Join Date
    Jul 2008
    Location
    Narvik, Norway
    Posts
    393

    Default KWin5

    I search for Kwin in Packege Manager and found a new version of KWin; KWin5.
    I guess this is not supported in OpenSUSE 13.2, but will be supported in upcomming version that will run KDE5.
    Am i right?

    So i guess there is no point in installing KWin5?

  2. #2

    Default Re: KWin5

    Quote Originally Posted by ronnys View Post
    I search for Kwin in Packege Manager and found a new version of KWin; KWin5.
    I guess this is not supported in OpenSUSE 13.2, but will be supported in upcomming version that will run KDE5.
    Am i right?
    kwin5 is Plasma 5's window manager, i.e. the Qt5/KDE Frameworks5 based version of kwin.
    Plasma 5 _is_ included in 13.2 (and supported, depending on what you actually mean with "supported").
    If you want to use it, just install the package plasma5-session (there should also be a Plasma 5 pattern IIANM), and you can select "Plasma 5" at the login screen.

    But at the moment, only Plasma 5, the desktop, is available. Most KDE applications have not released a version based on Frameworks5 yet.
    (some actually had their first release in December, but those are not yet included in 13.2)

    And installing Plasma 5 will _remove_ your KDE4 desktop (unless you use my repo to install it... ).

    So i guess there is no point in installing KWin5?
    No. Unless you want to switch to Plasma 5, but it should get installed automatically then.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •